libobject-id-perl_0.1.2-1_all.deb


Advertisement

Description

libobject-id-perl - unique identifier for any object

Distribution: Debian 8 (Jessie)
Repository: Debian Main i386
Package name: libobject-id-perl
Package version: 0.1.2
Package release: 1
Package architecture: all
Package type: deb
Installed size: 74 B
Download size: 16.46 KB
Official Mirror: ftp.br.debian.org
Object::ID is a unique identifier for any object, regardless of its type, structure or contents. Its features are: * Works on ANY object of any type * Does not modify the object in any way * Does not change with the object's contents * Is O(1) to calculate (ie. doesn't matter how big the object is) * The id is unique for the life of the process * The id is always a true value

Alternatives

    Download

    Source package: libobject-id-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libobject-id-perl deb package:
      # sudo apt-get install libobject-id-perl

    Files

    • /usr/share/doc/libobject-id-perl/changelog.Debian.gz
    • /usr/share/doc/libobject-id-perl/changelog.gz
    • /usr/share/doc/libobject-id-perl/copyright
    • /usr/share/man/man3/Object::ID.3pm.gz
    • /usr/share/man/man3/Object::ID::ConfigData.3pm.gz
    • /usr/share/man/man3/UNIVERSAL::Object::ID.3pm.gz
    • /usr/share/perl5/Object/ID.pm
    • /usr/share/perl5/Object/ID/ConfigData.pm
    • /usr/share/perl5/UNIVERSAL/Object/ID.pm

    Changelog

    2011-09-26 - Salvatore Bonaccorso <carnil@debian.org> libobject-id-perl (0.1.2-1) unstable; urgency=low * Team upload. [ gregor herrmann ] * Remove alternative (build) dependencies that are already satisfied in oldstable. [ Ansgar Burchardt ] * debian/control: Convert Vcs-* fields to Git. [ Salvatore Bonaccorso ] * Imported Upstream version 0.1.2 * debian/copyright: Replace DEP5 Format-Specification URL from svn.debian.org to anonscm.debian.org URL. * Refresh copyright years for upstream files * Refresh License stanzas in copyright file. Only refer to Debian systems in general instead of Debian GNU/Linux systems. Refer to GPL-1 license text in common-licenses. * Don't install README file to docs. The README files contains only a text form of the manpage. * Change (Build-)Depends(-Indep) on libsub-name-perl. Make versioned (Build-)Depends(-Indep) on libsub-name-perl unversioned as version 0.03 is already satisfied in oldstable. * Change (Build-)Depends(-Indep) on libhas-fieldhash-perl. Drop versioned dependency as version 0.10 is already present in squeeze. * Bump Debhelper compat level to 8. Use Build.PL by default. * Bump versioned Build-Depends on debhelper (>= 8) * Add perl to Build-Depends * Bump Standards-Version to 3.9.2.

    2010-06-19 - gregor herrmann <gregoa@debian.org> libobject-id-perl (0.1.1-1) unstable; urgency=low * New upstream release. * Convert to source format 3.0 (quilt). * Slightly improve short and long description. * Add /me to Uploaders. * Add libossp-uuid-perl to B-D-I and Recommends, and libnamespace-autoclean-perl to B-D-I. * Add a patch that changes the format of the required version of Data::UUID in Build.PL.

    2010-05-19 - Ivan Kohler <ivan-debian@420.am> libobject-id-perl (0.1.0-1) unstable; urgency=low * Initial Release (closes: Bug#582346).

    Advertisement
    Advertisement